%define upstream_name    Class-Method-Modifiers
%define upstream_version 2.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    provides Moose-like method modifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildArch:  noarch

%description
Method modifiers are a powerful feature from the CLOS (Common Lisp Object
System) world.

In its most basic form, a method modifier is just a method that calls
'$self->SUPER::foo(@_)'. I for one have trouble remembering that exact
invocation, so my classes seldom re-dispatch to their base classes. Very
bad!

'Class::Method::Modifiers' provides three modifiers: 'before', 'around',
and 'after'. 'before' and 'after' are run just before and after the method
they modify, but can not really affect that original method. 'around' is
run in place of the original method, with a hook to easily call that
original method. See the 'MODIFIERS' section for more details on how the
particular modifiers work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Class


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.80.0-2.mga4
+ Revision: 541159
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 2.80.0-1.mga4
+ Revision: 495176
- update to 2.08

* Thu Sep 26 2013 sander85 <sander85> 2.70.0-1.mga4
+ Revision: 487168
- update to 2.07

* Wed Sep 11 2013 sander85 <sander85> 2.50.0-1.mga4
+ Revision: 477556
- update to 2.05

* Fri Jun 07 2013 jquelin <jquelin> 2.40.0-1.mga4
+ Revision: 438878
- update to 2.04

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 364455
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.0.0-1.mga3
+ Revision: 341952
- update to 2.00

* Tue Nov 06 2012 jquelin <jquelin> 1.120.0-1.mga3
+ Revision: 314862
- update to 1.12

* Tue Jun 05 2012 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 254662
- update to 1.09

* Thu Nov 03 2011 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 162182
- update to 1.08

* Fri Feb 25 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 59628
- update to 1.07

* Fri Jan 21 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 28404
- mageia rebuild
- cleaning spec file
- imported package perl-Class-Method-Modifiers


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.60.0-1mdv2011.0
+ Revision: 601861
- update to new version 1.06

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2011.0
+ Revision: 461264
- update to 1.05

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 403014
- rebuild using %%perl_convert_version

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2010.0
+ Revision: 387001
- update to new version 1.04

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2010.0
+ Revision: 383474
- update to new version 1.02

* Wed Jul 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.0
+ Revision: 242072
- import perl-Class-Method-Modifiers


* Wed Jul 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.0
- initial mdv release, generated with cpan2dist


